#include <bits/stdc++.h>
using namespace std;
int main(){
    string t,u;
    cin>>t;
    int br=0,m,q=0,k=0;
    bool w=true;
    for(int i=0;i<t.size()/2;i++){
        if(t[i]==t[t.size()-i-1]){
            br++;
            w=false;
        }
    }
    if(w==true){
            br=0;
        }
    m=(t.size()-br-br);
    u=t.substr(br,m);  
    cout<<br<<endl<<endl;
    if(t.size()%2==0){
        cout<<u.size()<<endl<<u<<"jedan";
    }
    else{
        for(int i=0;i<u.size();i++){
            if(u[br+1]==u[i+br]){
               q++;
               if(q==1){
                   k=i;
               }
            }
        }
        if(q%2==0){
            u.erase(br-1,br);
            cout<<k<<endl<<u.size()<<endl<<"dva"<<endl<<u;
        }
        else{
            cout<<q<<endl<<u.size()<<endl<<"tri"<<endl<<u;
        }
    }
}